from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XPackageInformationProvider(Protocol):
    def getPackageLocation(self, extensionId: str) -> str: ...
    def isUpdateAvailable(self, extensionId: str) -> list[list[str]]: ...
    def getExtensionList(self) -> list[list[str]]: ...
